# docs

for generating documentation

## API

#### [properties](#docs-properties)

  - [id](#docs-properties-id)


#### [methods](#docs-methods)

  - [generate](#docs-methods-generate) (resource, template)

  - [build](#docs-methods-build) ()


for generating documentation

- **id** 

  - **type** : any


<a name="docs-methods"></a> 

## methods 

<a name="docs-methods-generate"></a> 

### docs.generate(resource, template)

generates markdown documentation for a single resource

- **resource** 

  - **description** : the resource to generate documentation for

  - **type** : any

- **template** 

  - **type** : string

  - **default** : /Users/maraksquires/dev/bigcompany/resources/docs/template.md

<a name="docs-methods-build"></a> 

### docs.build()

builds README.md files for all resources



*README auto-generated with [docs](https://github.com/bigcompany/resources/tree/master/docs)*